#!/bin/sh
################################################################
#
#  [# Edit, Date, User, Module #]
#
#  test-script for monopoly-template
#
here=`pwd`
if test $? -ne 0 ; then exit 1; fi
tmp=/tmp/$$
mkdir $tmp
if test $? -ne 0 ; then exit 1; fi
cd $tmp
if test $? -ne 0 ; then exit 1; fi

fail()
{
	echo FAILED 1>&2
	cd $here
	chmod u+w `find $tmp -type d -print`
	rm -rf $tmp
	exit 1
}

pass()
{
	cd $here
	chmod u+w `find $tmp -type d -print`
	rm -rf $tmp
	exit 0
}

trap 'fail' 1 2 3 15

###  Enter argument list for `monopoly' here ###
arglist='testIsearch'

/public/public/monopoly/diffpp > test.in 2>/dev/null << 'endOfSampleInput'

Index
 TestObject  1 Key a end end
 TestObject  2 Key b end end
 TestObject  3 Key a end end
 TestObject  4 Key c end end
 TestObject  5 Key a end end
 TestObject  6 Key b end end
 TestObject  7 Key c end end
 TestObject  8 Key a end end
 TestObject  9 Key b end end
 TestObject 10 Key a end end
 TestObject 11 Key d end end
 TestObject 12 Key b end end
 TestObject 13 Key c end end
 TestObject 14 Key a end end
end

Key a end
Key b end

endOfSampleInput
if test $? -ne 0 ; then fail; fi

/public/public/monopoly/diffpp > test.ok 2>/dev/null << 'endOfExpectedOutput'

 TestObject  1 Key a end end
 TestObject  3 Key a end end
 TestObject  5 Key a end end
 TestObject  8 Key a end end
 TestObject 10 Key a end end
 TestObject 14 Key a end end

 TestObject 12 Key b end end
 TestObject  9 Key b end end
 TestObject  6 Key b end end
 TestObject  2 Key b end end

endOfExpectedOutput
if test $? -ne 0 ; then fail; fi

$here/monopoly $arglist < test.in | /public/public/monopoly/diffpp > test.out 2>/dev/null
if test $? -ne 0 ; then fail; fi

diff test.ok test.out
if test $? -ne 0 ; then fail; fi

# it probably worked
pass
